<?php
require('../fpdf/fpdf.php');

class PDF extends FPDF
{
    // Cabecera de página
    function Header()
    {

        // Arial Bold
        $this->SetFont('Arial', 'B', 16);

        // Título
        $this->Cell(70, 10, 'LISTA DE CLIENTES');
        // Salto de línea
        $this->Ln(16);
        // Colores 
        //$this->SetDrawColor(128,0,0);
        //$this->SetFillColor(128, 0, 0);

        //color blanco para el texto - parte titulo
        //$this->SetTextColor(255, 255, 255);
        //color azul oscuro de las celdas - parte titulo 
        //$this->SetDrawColor(11, 63, 71);
        //color negro del relleno de la celda en celda especifica - parte titulo 
        //$this->Cell(10, 6, "ID", 1, 0, 'C', 1);

        $this->Cell(8, 6, "ID", 1, 0, 'C');
        $this->Cell(26, 6, "RUC", 1, 0, 'C');
        $this->Cell(52, 6, "Razon Social", 1, 0, 'C');
        $this->Cell(38, 6, "Contacto", 1, 0, 'C');
        $this->Cell(75, 6, "Referencia", 1, 0, 'C');
    }

    // Pie de página
    function Footer()
    {
        // Posición: a 1,5 cm del final
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial', 'I', 8);
        // Número de página
        $this->Cell(0, 10, utf8_decode('Página') . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }
}

require '../conexion.php';
$query = mysqli_query($conection, "SELECT * FROM cliente
WHERE estatus = 1 ORDER BY idcliente");

$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 11);

while ($data = mysqli_fetch_array($query)) {
    //$pdf->SetFillColor(11, 63, 71);

    //color azul oscuro de las celdas - parte datos 
    //$pdf->SetDrawColor(11, 63, 71);
    //color blanco para el texto - parte datos 
    //$pdf->SetTextColor(255, 255, 255);
    //color negro del relleno de la celda en celda especifica - parte datos 
    //$pdf->Cell(10, 5, $data['idcliente'], 1, 0, 'C',1);


    $pdf->Ln();
    $pdf->Cell(8, 5, $data['idcliente'], 1, 0, 'C');
    $pdf->Cell(26, 5, $data['ruc'], 1, 0, 'C');
    $pdf->Cell(52, 5, $data['nombre'], 1, 0, 'C');
    $pdf->Cell(38, 5, $data['telefono'], 1, 0, 'C');
    $pdf->Cell(75, 5, $data['direccion'], 1, 0, 'C');
}

$modo = "I";
$nombre_archivo = "Clientes" . ".pdf";
$pdf->Output($nombre_archivo, $modo);
